#include "grv.h"

#ifdef __unix__
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#endif

void goto_grv_dir(void)
{
  /* On Unix, save stuff in a ~/.grv directory */
#ifdef __unix__
  {
    char *home = getenv("HOME");
    char *grvd = getenv("GRV_DIR");

    if ( !grvd ) {
      grvd = alloca(strlen(home)+6);
      if ( grvd ) {
	sprintf(grvd, "%s/.grv", home);
	mkdir(grvd, 0777);	/* Make .grv directory if missing */
      }
    }

    if ( grvd )
      chdir(grvd);		/* Change to .grv directory */
  }
#endif
}
